Name:           qmidiarp
Version:        0.6.4
Release:        %mkrel 1
Summary:        Arpgeggiator, sequencer and LFO for JACK and ALSA
License:        GPLv2
Group:          Sound/Midi
URL:            http://qmidiarp.sourceforge.net/
Source0:        http://sourceforge.net/projects/qmidiarp/files/qmidiarp/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)

Recommends:     %{name}-plugins-lv2

%description
Advanced arpgeggiator, step sequencer and MIDI LFO for JACK and ALSA.

%package        plugins-lv2
Summary:        LV2 plugins of the QMidiArp MIDI arpeggiator, sequencer and LFO
Group:          Sound/Midi
Requires:       lv2

%description    plugins-lv2
This package contains the QMidiArp LV2 plugins of the three modules with
Qt-GUIs. QMidiArp is an advanced arpgeggiator, step sequencer and
MIDI LFO for JACK and ALSA.

%prep
%setup -q

%build
%configure2_5x --enable-qt5
%make_build

%install
%make_install

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc README NEWS COPYING AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%files plugins-lv2
%dir %{_libdir}/lv2
%{_libdir}/lv2/*


%changelog
* Sun Nov 06 2016 daviddavid <daviddavid> 0.6.4-1.mga6
+ Revision: 1065544
- new version: 0.6.4

* Tue Feb 16 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 962512
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 daviddavid <daviddavid> 0.6.3-1.mga6
+ Revision: 897865
- new version: 0.6.3
- remove merged upstream patches

* Sun Oct 18 2015 daviddavid <daviddavid> 0.6.2-1.mga6
+ Revision: 892476
- new version: 0.6.2
- add two upstream patches:
  * Patch0: fix compatibility LV2 GUI with qt5
  * Patch1: fix build ofr malloc issue and linking issue
  * http://sourceforge.net/p/qmidiarp/bugs/15/

* Sat Sep 05 2015 daviddavid <daviddavid> 0.6.1-1.mga6
+ Revision: 872915
- new version: 0.6.1
- build with Qt5
- add plugins-lv2 subpackage
- switch BuildRequires to pkgconfig()
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-4.mga5
+ Revision: 748537
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-3.mga5
+ Revision: 688498
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.2-2.mga4
+ Revision: 528478
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 emuse <emuse> 0.5.2-1.mga4
+ Revision: 445591
- do some mga specific adaptations
- imported package qmidiarp

